import { View, Image } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import decorate from "@/assets/icons/comm/decorate.png"
import withLayout from '@/layouts'


import './style.less'



export default withLayout((props) => {

  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='关于我们' />
      </View>
      <scroll-view scrollY style='height: 100%;' >
        <View>
          <View className='articleTitle-box'>
            <Image src={decorate} />
            <View>智慧农机的介绍</View>
            <Image src={decorate} />
          </View>
          <View style={{ margin: '25px auto 0 auto', padding: '1px 15px 0px 15px' }}>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              智慧农机旨在通过新一代物联网，大数据，3S等信息化技术有效整合省市县各级涉农资源
            </View>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              以顶层设计方式建成“一个平台一个中心N个应用”汇聚农业产业。农业“两区”。
            </View>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              物联网、植保、农机、畜牧、农资、农经，科教等各级农业业务应用及数据，形成大农业”数据中心。
            </View>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              构建互联共享的“互联网+农业”信息服务体系以最终实现科学指导农业生产经营管理，政府决策监管和社会公众服务。
            </View>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              智慧农机旨在通过新一代物联网，大数据，3S等信息化技术有效整合省市县各级涉农资源
            </View>
            <View style={{ textIndent: '2em', color: '#121212', width: '100%', fontSize: '15px', lineHeight: '28px', textAlign: 'left' }}>
              以顶层设计方式建成“一个平台一个中心N个应用”汇聚农业产业。农业“两区”。
            </View>
          </View>


        </View>
      </scroll-view>
    </View>
  )
})
