import { View, Image } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import decorate from "@/assets/icons/comm/decorate.png"
import withLayout from '@/layouts'

import './style.less'




export default withLayout((props) => {

  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='版本更新' />
      </View>
      <scroll-view scrollY style='height: 100%;' >
        <View>
          <View className='articleTitle-box-New'>
            <Image src={decorate} />
            <View>最近更新：</View>
            <Image src={decorate} />
          </View>
          <View className='new-Content-text'>
            版本更新了一次
            <View>----解决了一些已知的问题-----</View>
          </View>
        </View>
      </scroll-view>
    </View>
  )
})
