import scoreOFF from '../../assets/icons/comm/scoreOFF.png'
import scoreON from '../../assets/icons/comm/scoreON.png'

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    initW: {
      type: String,
      value: '100%'
    },
    initH: {
      type: String,
      value: '100%'
    },
    score: {
      type: Number,
      value: 0
    },
    onlyShow: {
      type: Boolean,
      value: false
    },
    starW: {
      type: String,
      value: '58rpx'
    },
    starH: {
      type: String,
      value: '55rpx'
    },
    stars: {
      type: Array,
      value: [
        {
          light: scoreON,
          gray: scoreOFF,
        },
        {
          light: scoreON,
          gray: scoreOFF,
        },
        {
          light: scoreON,
          gray: scoreOFF,
        },
        {
          light: scoreON,
          gray: scoreOFF,
        },
        {
          light: scoreON,
          gray: scoreOFF,
        },

      ]
    }
  },

  data: {
    initScore: 0
  },


  methods: {

    clickStar: function (e) {
      if (this.properties.onlyShow) return
      let index = e.currentTarget.dataset.index
      this.setData({
        initScore: index + 1
      })

      console.log("🚀 ~ file: index.js ~ line 73 ~ index + 1", index + 1)
      this.triggerEvent('raterChange', index + 1)



    }
  },
  ready () {
    this.setData({
      initScore: this.properties.score
    })
    console.log('ready')
  }
})