
import { View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import Taro from "@tarojs/taro"
import { useEffect, useState } from "react"
import LoginModel from "@/components/LoginModel"



export default (props) => {
  const [isShow, setIsShow] = useState(false)

  const $instance = Taro.getCurrentInstance()
  const { login } = $instance.router.params

  useEffect(() => {
    setIsShow(true)
  }, [])

  return (
    <View className='page-index'>
      <View>
        <LoginModel isLoginVisible={isShow} loginType={login} />
      </View>
    </View>
  )
}
